<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameter = container
                       displayOrders = indicates if we need to display the orders linked to the container (if there are some) -->
    <dl class="dl-horizontal">
        <s:decorate template="/layout/display/_data_list_item.xhtml"
                    rendered="#{not empty container.containerIdentifier}">
            <ui:define name="label">#{messages['gazelle.ordermanager.ContainerIdentifier_2']}</ui:define>
            <h:outputText value="#{container.containerIdentifier}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml"
                    rendered="#{not empty container.primaryContainerIdentifier}">
            <ui:define name="label">#{messages['gazelle.ordermanager.ParentContainerIdentifier']}</ui:define>
            <h:outputText value="#{container.primaryContainerIdentifier}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml"
                    rendered="#{not empty container.carrierIdentifier}">
            <ui:define name="label">#{messages['gazelle.ordermanager.CarrierId']}</ui:define>
            <h:outputText value="#{container.carrierIdentifier}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml"
                    rendered="#{not empty container.positionInCarrier}">
            <ui:define name="label">#{messages['gazelle.ordermanager.PositionInCarrier']}</ui:define>
            <h:outputText value="#{container.positionInCarrier}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty container.trayIdentifier}">
            <ui:define name="label">#{messages['gazelle.ordermanager.TrayId']}</ui:define>
            <h:outputText value="#{container.trayIdentifier}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty container.positionInTray}">
            <ui:define name="label">#{messages['gazelle.ordermanager.PositionInTray']}</ui:define>
            <h:outputText value="#{container.positionInTray}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty container.location}">
            <ui:define name="label">#{messages['gazelle.ordermanager.Location']}</ui:define>
            <h:outputText value="#{container.location}"/>
        </s:decorate>
    </dl>
    <s:div rendered="#{displayOrders}">
        <dl class="dl-horizontal">
            <s:decorate template="/layout/display/_data_list_item.xhtml"
                        rendered="#{sac.mainEntity or not empty sac.orders}">
                <ui:define name="label">#{messages['gazelle.ordermanager.RelativeOrders']}</ui:define>
                <a4j:commandLink value=" #{sac.orders.size()} #{messages['gazelle.ordermanager.Orders_2']}"
                                 actionListener="#{specimenManager.setSelectedContainerId(sac.id)}"
                                 render="containersPanel"/>
            </s:decorate>
        </dl>
        <rich:dataTable value="#{specimenManager.selectedContainer.orders}" var="orc"
                        rows="#{dataScrollerMemory.numberOfResultsPerPage}" id="orclist"
                        rendered="#{specimenManager.selectedContainerId.equals(sac.id)}" render="ds">
            <ui:include src="/common/orderColumns.xhtml">
                <ui:param name="currentOrder" value="#{orc}"/>
                <ui:param name="displayEncounterInfo" value="true"/>
            </ui:include>
            <g:column>
                <ui:define name="header">#{messages['users.Action']}</ui:define>
                <h:outputLink
                        value="#{applicationConfiguration.getValueOfVariable('application_url')}#{labOrderBrowser.getPermanentLink(orc.id)}"
                        title="#{messages['gazelle.ordermanager.AccessDetails']}">
                    <s:span styleClass="gzl-icon-search "/>
                </h:outputLink>
            </g:column>
            <!--TODO at a later time -->
            <!-- <ui:include src="/lab/observationColspan.xhtml">
                <ui:param name="observations" value="#{orc.observations}"/>
                <ui:param name="nbOfColumnsToSpan" value="9"/>
                <ui:param name="panelTitle" value="#{messages['gazelle.ordermanager.RelatedObservations']}"/>
                <ui:param name="parentType" value="order"/>
                <ui:param name="spm" value="null"/>
                <ui:param name="currentOrder" value="#{orc}"/>
                <ui:param name="displayAddButton" value="false"/>
            </ui:include>-->
            <f:facet name="footer">
                <ui:include src="/util/datatableFooter.xhtml">
                    <ui:param name="dataScrollerId" value="ds"/>
                    <ui:param name="dataTableId" value="orclist"/>
                </ui:include>
            </f:facet>
        </rich:dataTable>
    </s:div>
</ui:composition>
